Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1336177 - [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1eff25c298268af87fbc1600d0a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-15 08:11 UTC by Suren Karapetyan
Modified: 2016-12-20 20:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:30:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (17.82 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: cgroup (198 bytes, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: core_backtrace (3.93 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: dso_list (7.02 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: environ (101 bytes, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: maps (42.69 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: mountinfo (3.80 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: open_fds (4.98 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
File: var_log_messages (289 bytes, text/plain)
2016-05-15 08:11 UTC, Suren Karapetyan
no flags Details
Xorg.0.log (81.09 KB, text/plain)
2016-05-20 10:58 UTC, Suren Karapetyan
no flags Details

Description Suren Karapetyan 2016-05-15 08:11:27 UTC
Description of problem:
Hit Fn+F3 (increase brightness) 3 times in a row.
It's not easily reproducible, but I hit it every once in a while.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.3-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -nolisten tcp -auth /var/run/sddm/{f90f166a-9590-4d3b-a0cf-e5afd4f94341} -background none -noreset -displayfd 17 vt1
executable:     /usr/libexec/Xorg
global_pid:     1615
kernel:         4.4.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (7 frames)
 #9 XkbFlushLedEvents at xkbLEDs.c:772
 #10 XkbUpdateLedAutoState at xkbLEDs.c:303
 #12 XkbUpdateAllDeviceIndicators at xkbLEDs.c:321
 #13 ProcXkbGetKbdByName at xkb.c:6019
 #14 Dispatch at dispatch.c:430
 #15 dix_main at main.c:300
 #17 _start

Comment 1 Suren Karapetyan 2016-05-15 08:11:31 UTC
Created attachment 1157627 [details]
File: backtrace

Comment 2 Suren Karapetyan 2016-05-15 08:11:33 UTC
Created attachment 1157628 [details]
File: cgroup

Comment 3 Suren Karapetyan 2016-05-15 08:11:35 UTC
Created attachment 1157629 [details]
File: core_backtrace

Comment 4 Suren Karapetyan 2016-05-15 08:11:36 UTC
Created attachment 1157630 [details]
File: dso_list

Comment 5 Suren Karapetyan 2016-05-15 08:11:38 UTC
Created attachment 1157631 [details]
File: environ

Comment 6 Suren Karapetyan 2016-05-15 08:11:39 UTC
Created attachment 1157632 [details]
File: limits

Comment 7 Suren Karapetyan 2016-05-15 08:11:42 UTC
Created attachment 1157633 [details]
File: maps

Comment 8 Suren Karapetyan 2016-05-15 08:11:43 UTC
Created attachment 1157634 [details]
File: mountinfo

Comment 9 Suren Karapetyan 2016-05-15 08:11:45 UTC
Created attachment 1157635 [details]
File: namespaces

Comment 10 Suren Karapetyan 2016-05-15 08:11:47 UTC
Created attachment 1157636 [details]
File: open_fds

Comment 11 Suren Karapetyan 2016-05-15 08:11:48 UTC
Created attachment 1157637 [details]
File: proc_pid_status

Comment 12 Suren Karapetyan 2016-05-15 08:11:50 UTC
Created attachment 1157638 [details]
File: var_log_messages

Comment 13 Christophe Fergeau 2016-05-20 08:25:32 UTC
similar to bug #1335439 ?

Comment 14 Suren Karapetyan 2016-05-20 10:54:38 UTC
Not sure.
IMO mine is radeon-specific (the attached backtrace mentions radeon ioctls) but the other one is with intel GPU.

Other info which might be relevant:
 - when increasing/decreasing the brightness it jumps - i.e. goes up then down then up.
 - After the crash (e.g. 4 seconds after Xorg aborts) I see the following lines in dmesg:

May 17 18:35:05 roadrunner kernel: [drm] PCIE GART of 1024M enabled (table at 0x0000000000274000).
May 17 18:35:05 roadrunner kernel: radeon 0000:01:00.0: WB enabled
May 17 18:35:05 roadrunner kernel: radeon 0000:01:00.0: fence driver on ring 0 use gpu addr 0x0000000080000c00 and cpu addr 0xffff88003f108c00
May 17 18:35:05 roadrunner kernel: radeon 0000:01:00.0: fence driver on ring 3 use gpu addr 0x0000000080000c0c and cpu addr 0xffff88003f108c0c
May 17 18:35:05 roadrunner kernel: radeon 0000:01:00.0: fence driver on ring 5 use gpu addr 0x0000000000072118 and cpu addr 0xffffc90002432118
May 17 18:35:05 roadrunner kernel: [drm] ring test on 0 succeeded in 1 usecs
May 17 18:35:05 roadrunner kernel: [drm] ring test on 3 succeeded in 3 usecs
May 17 18:35:05 roadrunner kernel: [drm] ring test on 5 succeeded in 1 usecs
May 17 18:35:05 roadrunner kernel: [drm] UVD initialized successfully.
May 17 18:35:05 roadrunner kernel: [drm] ib test on ring 0 succeeded in 0 usecs
May 17 18:35:05 roadrunner kernel: [drm] ib test on ring 3 succeeded in 0 usecs

Comment 15 Suren Karapetyan 2016-05-20 10:58:48 UTC
Created attachment 1159879 [details]
Xorg.0.log

Attaching the Xorg.0.log (current one - not the crashed one) to have the hardware info with the bug.

Comment 16 Fedora End Of Life 2016-11-25 09:02:11 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2016-12-20 20:30:02 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.